Skip to main content
GET
Get Subscriptions

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned, between 1 and 100.

starting_after
integer

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
integer

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

account
string

Limit the subscription list to a specified account id or vid - if specified, all Subscriptions associated with that Account.

include_children
boolean
default:false

Indicates whether or not to return any existing child accounts’ subscriptions for a given returned Subscription/account combination.

email
string

Limit the Subscription list to those associated with a specific email.

product
string

Limit the Subscription list to those that have a specified product id or vid as a SubscriptionItem.

billingPlanHistory
boolean
default:false

Describe the all billing plan history of the subscriptions

Response

OK

total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here

previous
string

The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here